ata_msense_caching
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_msense_caching — Simulate MODE SENSE caching info page

## Synopsis

`unsigned int ata_msense_caching (` | u16 * | id,
| u8 ** | ptr_io,
| const u8 * | last`)`;

## Arguments

`id`

  device IDENTIFY data

`ptr_io`

  (input/output) Location to store more output data

`last`

  End of output data buffer

## Description

Generate a caching info page, which conditionally indicates write caching to the SCSI layer, depending on device capabilities.

## LOCKING

None.

Prev | Up | Next
ata_msense_push | Home | ata_msense_ctl_mode